import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class CloseKeyboardButton extends StatelessWidget {
  /// Label used for button that closes keyboard when tapped
  final String closeButtonLabel;
  final TextStyle closeButtonLabelStyle;

  const CloseKeyboardButton({
    @required this.closeButtonLabel,
    @required this.closeButtonLabelStyle,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      color: Colors.white,
      child: Align(
        alignment: Alignment.topRight,
        child: CupertinoButton(
          padding: EdgeInsets.only(right: 24.0, top: 8.0, bottom: 8.0),
          onPressed: () async {
            await SystemChannels.textInput.invokeMethod('TextInput.hide');

            FocusScopeNode currentFocus = FocusScope.of(context);
            if (!currentFocus.hasPrimaryFocus) currentFocus.unfocus();
          },
          child: Text(
            closeButtonLabel ?? MaterialLocalizations.of(context).closeButtonLabel,
            style: closeButtonLabelStyle ?? TextStyle(),
          ),
        ),
      ),
    );
  }
}
